org.eclipse.rdf4j.repository.config

## Class RepositoryConfig

- java.lang.Object
- - org.eclipse.rdf4j.repository.config.RepositoryConfig

-     public class RepositoryConfig
      extends Object

  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfig()` Create a new RepositoryConfig.
    `RepositoryConfig(String id)` Create a new RepositoryConfigImpl.
    `RepositoryConfig(String id, RepositoryImplConfig implConfig)` Create a new RepositoryConfigImpl.
    `RepositoryConfig(String id, String title)` Create a new RepositoryConfigImpl.
    `RepositoryConfig(String id, String title, RepositoryImplConfig implConfig)` Create a new RepositoryConfigImpl.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepositoryConfig` | `create(Model model, Resource repositoryNode)` Creates a new `RepositoryConfig` object and initializes it by supplying the `model` and `repositoryNode` to its `parse` method.
    `void` | `export(Model model)` Deprecated. use `export(Model, Resource)`
    `void` | `export(Model model, Resource repositoryNode)` Exports the configuration into RDF using the given repositoryNode
    `String` | `getID()`
    `RepositoryImplConfig` | `getRepositoryImplConfig()`
    `String` | `getTitle()`
    `void` | `parse(Model model, Resource repositoryNode)`
    `void` | `setID(String id)`
    `void` | `setRepositoryImplConfig(RepositoryImplConfig implConfig)`
    `void` | `setTitle(String title)`
    `void` | `validate()` Validates this configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfig

          public RepositoryConfig()

      Create a new RepositoryConfig.

    - #### RepositoryConfig

          public RepositoryConfig(String id)

      Create a new RepositoryConfigImpl.

    - #### RepositoryConfig

          public RepositoryConfig(String id,
                                  RepositoryImplConfig implConfig)

      Create a new RepositoryConfigImpl.

    - #### RepositoryConfig

          public RepositoryConfig(String id,
                                  String title)

      Create a new RepositoryConfigImpl.

    - #### RepositoryConfig

          public RepositoryConfig(String id,
                                  String title,
                                  RepositoryImplConfig implConfig)

      Create a new RepositoryConfigImpl.

  - ### Method Detail

    - #### getID

          public String getID()

    - #### setID

          public void setID(String id)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getRepositoryImplConfig

          public RepositoryImplConfig getRepositoryImplConfig()

    - #### setRepositoryImplConfig

          public void setRepositoryImplConfig(RepositoryImplConfig implConfig)

    - #### validate

          public void validate()
                        throws RepositoryConfigException

      Validates this configuration. A `RepositoryConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Throws:
        `RepositoryConfigException` - If the configuration is invalid.

    - #### export

          @Deprecated
          public void export(Model model)

      Deprecated. use `export(Model, Resource)`

    - #### export

          public void export(Model model,
                             Resource repositoryNode)

      Exports the configuration into RDF using the given repositoryNode
      Parameters:
        `model` - target RDF collection
        `repositoryNode` -
      Since:
        2.3

    - #### parse

          public void parse(Model model,
                            Resource repositoryNode)
                     throws RepositoryConfigException

      Throws:
        `RepositoryConfigException`

    - #### create

          public static RepositoryConfig create(Model model,
                                                Resource repositoryNode)
                                         throws RepositoryConfigException

      Creates a new `RepositoryConfig` object and initializes it by supplying the `model` and `repositoryNode` to its `parse` method.
      Parameters:
        `model` - the `Model` to read initialization data from.
        `repositoryNode` - the subject `Resource` that identifies the `RepositoryConfig` in the supplied Model.
      Throws:
        `RepositoryConfigException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.